Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.util
Interface Reporter

All Known Subinterfaces:
  Frontier

All Known Implementing Classes:
  AbstractFrontier, AdaptiveRevisitFrontier, AdaptiveRevisitQueueList, BdbFrontier, BdbWorkQueue, CandidateURI, CrawlController, CrawlJob.MBeanCrawlController, CrawlURI, DomainSensitiveFrontier, ToePool, ToeThread, WorkQueue, WorkQueueFrontier

    public interface Reporter

Version:
  $Date: 2006-09-20 22:40:21 +0000 (Wed, 20 Sep 2006) $, $Revision: 4644 $
Author:
  stack

Method Summary
`java.lang.String[]` | `getReports()` Get an array of report names offered by this Reporter.
`void` | `reportTo(java.io.PrintWriter writer)` Make a default report to the passed-in Writer.
`void` | `reportTo(java.lang.String name, java.io.PrintWriter writer)` Make a report of the given name to the passed-in Writer, If null, give the default report.
`java.lang.String` | `singleLineLegend()` Return a legend for the single-line summary report as a String.
`java.lang.String` | `singleLineReport()` Return a short single-line summary report as a String.
`void` | `singleLineReportTo(java.io.PrintWriter writer)` Make a single-line summary report to the passed-in writer

Method Detail

### getReports

    java.lang.String[] getReports()

  Get an array of report names offered by this Reporter. A name in brackets indicates a free-form String, in accordance with the informal description inside the brackets, may yield a useful report.

  Returns:
    String array of report names, empty if there is only one report type

### reportTo

    void reportTo(java.lang.String name,
                  java.io.PrintWriter writer)

  Make a report of the given name to the passed-in Writer, If null, give the default report.

  Parameters:
    `writer` - to receive report

### reportTo

    void reportTo(java.io.PrintWriter writer)
                  throws java.io.IOException

  Make a default report to the passed-in Writer. Should be equivalent to reportTo(null, writer)

  Parameters:
    `writer` - to receive report
  Throws:
    `java.io.IOException`

### singleLineReportTo

    void singleLineReportTo(java.io.PrintWriter writer)
                            throws java.io.IOException

  Make a single-line summary report to the passed-in writer

  Parameters:
    `writer` - to receive report
  Throws:
    `java.io.IOException`

### singleLineReport

    java.lang.String singleLineReport()

  Return a short single-line summary report as a String.

  Returns:
    String single-line summary report

### singleLineLegend

    java.lang.String singleLineLegend()

  Return a legend for the single-line summary report as a String.

  Returns:
    String single-line summary legend

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.